<!DOCTYPE html>
<html>
<body>

<h2>JavaScript async / await</h2>

<p id="demo"></p>
<p id="demo2"></p>

<script>
function myDisplayer(some) {
  document.getElementById("demo").innerHTML = some;
}

function myDisplayer2(some) {
  document.getElementById("demo2").innerHTML = some;
}

async function myFunction() {return "Hello";}


// Korrekter Aufruf
myFunction().then(
  function(value) {myDisplayer(value);},
  function(error) {myDisplayer(error);}
 
);

// Fehlerhafter Aufruf
myDisplayer2(myFunction());




</script>

</body>
</html>
